import 'package:hordev2/app/data/models/api_model.dart';
import 'package:hordev2/app/data/models/base_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';

class Collector extends BaseModel {
  Api? api;
  Company? company;
  bool? deleted;
  String? id;
  String? name;

  Collector({this.api, this.company, this.deleted, this.id, this.name});

  Collector.fromJson(Map<String, dynamic> json) {
    api = json['api'] != null ? Api?.fromJson(json['api']) : null;
    company =
        json['company'] != null ? Company?.fromJson(json['company']) : null;
    deleted = json['deleted'];
    id = json['id'];
    name = json['name'];
  }
  @override
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (api != null) {
      data['api'] = api!.toJson();
    }
    if (company != null) {
      data['company'] = company!.toJson();
    }
    data['deleted'] = deleted;
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}
