import 'package:get/get.dart';
import 'package:hordev2/app/data/models/collector_model.dart';
import 'package:hordev2/app/data/models/company_model.dart';
import 'package:hordev2/app/data/models/iot_data_changes_model.dart';
import 'package:hordev2/app/data/models/iot_data_model.dart';
import 'package:hordev2/app/data/models/machine_model.dart';
import 'package:hordev2/app/data/models/sensor_model.dart';
import 'base_provider.dart';

class SensorProvider extends BaseProvider {
  @override
  String itemUrl = "sensor";

  @override
  var element = Sensor();
}

class MachineProvider extends BaseProvider {
  @override
  var element = Machine();

  @override
  String itemUrl = "sensor";
}

class CollectorProvider extends BaseProvider {
  @override
  var element = Collector();

  @override
  String itemUrl = "collector";
}

class CompanyProvider extends BaseProvider {
  @override
  var element = Company();

  @override
  String itemUrl = "company";
}

class IotDataChangesProvider extends BaseProvider {
  @override
  var element = IotDataChanges();

  @override
  String itemUrl = "iot_data_changes";
}

class IotDataProvider extends BaseProvider {
  @override
  var element = IotData();

  @override
  String itemUrl = "iot_data";
}
