import 'base_model.dart';

class Api extends BaseModel {
  String? apiKey;
  String? apiSecret;
  dynamic refreshDate;
  String? token;

  Api({this.apiKey, this.apiSecret, this.refreshDate, this.token});

  Api.fromJson(Map<String, dynamic> json) {
    apiKey = json['api_key'];
    apiSecret = json['api_secret'];
    refreshDate = json['refresh_date'];
    token = json['token'];
  }

  @override
  Api fromJson(Map<String, dynamic> json) {
    return Api(
        apiKey: json['api_key'],
        apiSecret: json['api_secret'],
        refreshDate: json['refresh_date'],
        token: json['token']);
  }

  @override
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['api_key'] = apiKey;
    data['api_secret'] = apiSecret;
    data['refresh_date'] = refreshDate;
    data['token'] = token;
    return data;
  }
}
