import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:hordev2/app/data/widgets/horde_box.dart';

void errorDialog(title, body, color) {
  Get.dialog(Dialog(
    backgroundColor: Colors.transparent,
    child: Container(
      width: 300,
      height: 200,
      child: HordeBox(
        title: title,
        color: color,
        child: Column(
          children: [
            Text(body),
            SizedBox(
              height: 30,
            ),
            MaterialButton(
              onPressed: () {
                Get.close(1);
              },
              child: Text('Close'),
            )
          ],
        ),
      ),
    ),
  ));
}
