/*



 */

import 'package:fl_chart/fl_chart.dart';
import 'package:flutter/material.dart';

class ExampleLineChart extends StatefulWidget {
  @override
  _ExampleLineChart createState() => _ExampleLineChart();

}

class _ExampleLineChart extends State<ExampleLineChart> {
  @override
  Widget build(BuildContext context) {
    return  LineChart(
      LineChartData(
          lineBarsData: [
            LineChartBarData(
                spots: [
                  FlSpot(
                    1,
                    2,
                  ),
                  FlSpot(
                    2,
                    1.0,
                  ),
                  FlSpot(
                    3,
                    1.8,
                  ),
                  FlSpot(
                    4,
                    1.5,
                  ),
                  FlSpot(
                    5,
                    1.0,
                  ),
                  FlSpot(
                    6,
                    2.2,
                  ),
                  FlSpot(
                    7,
                    1.8,
                  ),
                  FlSpot(
                    8,
                    1.5,
                  )
                ],
                belowBarData: BarAreaData(show: false),
                aboveBarData: BarAreaData(show: false),
                isCurved: true,
                dotData: FlDotData(show: false),
                colors: [
                  Color(0xff23b6e6),
                  Color(0xff02d39a),
                ],
                barWidth: 3),
          ],
          lineTouchData: LineTouchData(enabled: false),
          titlesData: FlTitlesData(show: false),
          axisTitleData: FlAxisTitleData(show: false),
          gridData: FlGridData(show: false),
          borderData: FlBorderData(show: false)),
    );
  }

}