import 'package:get/get.dart';

import 'package:hordev2/app/modules/home/bindings/home_binding.dart';
import 'package:hordev2/app/modules/home/views/home_view.dart';
import 'package:hordev2/app/modules/login/bindings/login_binding.dart';
import 'package:hordev2/app/modules/login/views/login_view.dart';
import 'package:hordev2/app/modules/sensor/bindings/sensor_binding.dart';
import 'package:hordev2/app/modules/sensor/views/sensor_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.HOME;
  static const LOGIN = Routes.LOGIN;

  static final routes = [
    GetPage(
      name: _Paths.HOME,
      page: () => HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: _Paths.SENSOR,
      page: () => SensorView(),
      binding: SensorBinding(),
    ),
    GetPage(
      name: _Paths.LOGIN,
      page: () => LoginView(),
      binding: LoginBinding(),
    ),
  ];
}
